import { PropertyValues } from 'lit';
import { GdsText } from '../text';
/**
 * Abstract base class for Green Core formatted texts.
 *
 * @internal
 */
export declare abstract class GdsFormattedText extends GdsText {
    abstract get formattedValue(): string;
    protected element?: Element;
    protected updated(changedProperties: PropertyValues): void;
}
